#include <stdio.h>

int add(int , int);




int main () {

  int (*func_pointer)(int, int) = &add;

  // func_pointer = &add;

  int res = (*func_pointer)(4, 5);


  printf("Expecting %d\n", 4+5);
  fprintf(stdout, "%d\n", res);  





}

  int add(int a , int b){
    return a + b;
  }




